function [ beta ] = base2reali( x )
%base2reali1 conversione di 0< x < 1 i base 2
%   x = beta_(-1) * 2^(-1) + beta_(-2) * 2^(-2) + beta_(-3) * 2^(-3) ....
%                                               + beta_(-p)*2^(-p)

%    2*x = beta_(-1) + x_1
%      x_1 = 2*x - beta_(-1)
%
%   beta(i) = beta_(-i)
i=0;
x = 2*x;
while (x~=0 &&  i <= 100)
    i=i+1;
    beta(i) = fix(x);
    x = x - beta(i);
    x = 2*x;
end

if (x~=0) 
    warning('rappresentazione troppo lunga')
end

end

